## kde-workspace 4.9.4

=== CMakeLists.txt ===
project(KDEBASE_WORKSPACE)

# Used e.g. in KDE4WorkspaceConfig.cmake, Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 9)
set(KDE4WORKSPACE_VERSION_PATCH 4)
set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )


# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

#search packages used by KDE
set(QT_MIN_VERSION "4.7.0")
set(KDE_MIN_VERSION "4.8.1")
set(SOPRANO_MIN_VERSION "2.5.63")

OPTION(WITH_XINERAMA "Xinerama support for multi-headed X displays" ON)

find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(Strigi REQUIRED)
find_package(ZLIB REQUIRED)
find_package(KActivities 6.0.0 REQUIRED)
find_package(DBusMenuQt 0.6.0 REQUIRED)
find_package(QImageBlitz REQUIRED)
find_package(KDeclarative REQUIRED)
macro_optional_find_package(OpenGL)
macro_optional_find_package(OpenGLES)

macro_log_feature(KDeclarative_FOUND "libkdeclarative" "KDE Declarative (QML) support from kdelibs" "http://www.kde.org" TRUE "" "Required by ksmserver.")

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    macro_log_feature(X11_XTest_FOUND "libXtst" "X11 Testing Resource extension library" "http://xorg.freedesktop.org" FALSE "" "useful for automated testing of X clients.")
  endif(NOT X11_XTest_FOUND)
  if(NOT X11_Xau_FOUND)
    macro_log_feature(X11_Xau_FOUND "libXau" "X11 Authorization Protocol library" "http://xorg.freedesktop.org" FALSE "" "Needed by KDM.")
  endif(NOT X11_Xau_FOUND)
  if(NOT X11_Xdmcp_FOUND)
    macro_log_feature(X11_Xdmcp_FOUND "libXdmcp" "X Display Manager Control Protocol library" "http://xorg.freedesktop.org" FALSE "" "Needed by KDM.")
  endif(NOT X11_Xdmcp_FOUND)
  # Other X11 libraries that are used unconditionally elsewhere
  # without testing if they are found. With these log messages
  # you get a nice complaint about missing required packages
  # before the CMake error list of unused variables.
  if(NOT X11_Xkbfile_FOUND)
    macro_log_feature(X11_Xkbfile_FOUND "libXkbfile" "X11 keyboard layout library" "http://xorg.freedesktop.org" TRUE "" "Needed for keyboard modules.")
  endif(NOT X11_Xkbfile_FOUND)
  if(NOT X11_Xcomposite_FOUND)
    macro_log_feature(X11_Xcomposite_FOUND "libXcomposite" "X11 composite library" "http://xorg.freedesktop.org" TRUE "" "Needed for plasma tray and notifications.")
  endif(NOT X11_Xcomposite_FOUND)
  if(NOT X11_Xdamage_FOUND)
    macro_log_feature(X11_Xdamage_FOUND "libXdamage" "X11 damaged region extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for Compositing support in KWin.")
  endif(NOT X11_Xdamage_FOUND)
  if(NOT X11_Xrender_FOUND)
    macro_log_feature(X11_Xrender_FOUND "libXrender" "X Rendering Extension client library" "http://xorg.freedesktop.org" TRUE "" "Needed for XRender Compositing backend in KWin.")
  endif(NOT X11_Xrender_FOUND)
  if(NOT X11_Xfixes_FOUND)
    macro_log_feature(X11_Xfixes_FOUND "libXfixes" "X11 miscellaneous 'fixes' extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for XRender Compositing backend in KWin.")
  endif(NOT X11_Xfixes_FOUND)
  if(NOT X11_Xrandr_FOUND)
    macro_log_feature(X11_Xrandr_FOUND "libXrandr" "X11 RandR extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for Multi Screen Support.")
  endif(NOT X11_Xrandr_FOUND)
  if(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
    macro_log_feature(OPENGL_FOUND "OpenGL" "OpenGL" "http://www.opengl.org/" FALSE "" "Needed to build OpenGL Compositing backend in KWin")
    macro_log_feature(OPENGLES_FOUND "OpenGL ES" "OpenGL ES 2.0" "http://www.khronos.org/opengles/" FALSE "" "Needed to build OpenGL ES 2.0 Compositing backend in KWin")
    set(OPENGL_OR_ES_FOUND FALSE)
    macro_log_feature(OPENGL_OR_ES_FOUND "OpenGL (ES)" "OpenGL (ES)" "http://mesa3d.org/" TRUE "" "Either OpenGL or OpenGL ES 2.0 are required for Compositing support in KWin.")
  endif(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
  if(NOT X11_Xcursor_FOUND)
    macro_log_feature(X11_Xcursor_FOUND "libXcursor" "X11 cursor management library" "http://xorg.freedesktop.org" TRUE "" "Needed for desktop effects support in KWin.")
  endif(NOT X11_Xcursor_FOUND)
endif(Q_WS_X11)

macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "glib2" "Low-level core library for data structure handling, portability wrappers, etc." "http://www.gtk.org" FALSE "2.x" "Needed to build the kxkb keyboard map control program and provide XMMS support in the Now Playing Plasma data engine")

macro_optional_find_package(Fontconfig)

macro_optional_find_package(Googlegadgets)
macro_log_feature(GOOGLEGADGETS_FOUND "GoogleGadgets" "Google Gadgets library" "http://code.google.com/p/google-gadgets-for-linux/" FALSE "0.11.0" "Needed to build plasma scriptengine for google gadgets")

#### Python support ( plasma scriptengines ) ####
macro_optional_find_package(PythonLibrary)
macro_log_feature(PYTHONLIBRARY_FOUND "Python" "Python scripting language" "http://python.org" FALSE "" "Needed to build plasma scriptengine for python.")

include(MacroLibrary)
include(KDE4Defaults)

macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk features.")
macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "www.boost.org" FALSE "" "Required to build certain Plasma DataEngines (Akonadi, RSS, Calendar)")
macro_optional_find_package(Akonadi)
macro_log_feature(Akonadi_FOUND "Akonadi" "An extensible cross-desktop storage service for PIM data" "http://pim.kde.org/akonadi" FALSE "" "Required to build certain Plasma DataEngines (Akonadi, Calendar)")
macro_optional_find_package(KdepimLibs 4.5.60)
macro_log_feature(KdepimLibs_FOUND "KDE PIM Libs" "KDE Libraries for PIM" "http://pim.kde.org/" FALSE "4.5.60" "Required to build certain Plasma DataEngines (Akonadi, Calendar)")


include(ConfigureChecks.cmake)
if(NOT WIN32)
  configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
  configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
  if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${CMAKE_INSTALL_PREFIX}/share/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
  endif(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
  configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
endif(NOT WIN32)
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/libs)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# libs
add_subdirectory(cmake)
add_subdirectory(libs)

# system settings (kcontrol replacement)
if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory( systemsettings )
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

# core apps
if(NOT WIN32)
   macro_optional_add_subdirectory( kcheckpass )
   macro_optional_add_subdirectory( kwin )
   macro_optional_add_subdirectory( ksmserver )
   macro_optional_add_subdirectory( ksplash )
   macro_optional_add_subdirectory( powerdevil )
   macro_optional_add_subdirectory( qguiplatformplugin_kde )
   if (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
      macro_optional_add_subdirectory( ksysguard )
   endif (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
endif(NOT WIN32)

if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory(kcontrol)
   macro_optional_add_subdirectory(klipper)
   macro_optional_add_subdirectory(kmenuedit)
   macro_optional_add_subdirectory(krunner)
   macro_optional_add_subdirectory(solid)
   macro_optional_add_subdirectory(kstartupconfig)
   macro_optional_add_subdirectory(freespacenotifier)
   macro_optional_add_subdirectory(kscreensaver)

   # data
   macro_optional_add_subdirectory(doc)

   if (Q_WS_X11)
      macro_optional_add_subdirectory(kinfocenter)
   endif (Q_WS_X11)

   if(NOT WIN32)
      macro_optional_add_subdirectory(kcminit)
      macro_optional_add_subdirectory(khotkeys)
      macro_optional_add_subdirectory(kwrited)
      macro_optional_add_subdirectory(ksystraycmd)
      # data
      macro_optional_add_subdirectory(cursors)
   endif(NOT WIN32)

   if(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      add_subdirectory( kdm )
   else(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      message(STATUS "Xau lib or Xdmcp lib was missing. kdm will not compile")
   endif(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

macro_optional_add_subdirectory(plasma)
macro_optional_add_subdirectory(statusnotifierwatcher)
macro_optional_add_subdirectory(kstyles)

########### install files ###############
if(NOT WIN32)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startkde DESTINATION ${BIN_INSTALL_DIR})
endif(NOT WIN32)

macro_display_feature_log()

# make the libraries installed from kdebase/workspace available to other projects
# by creating and installing a KDE4WorkspaceConfig.cmake file, which will
# be searched and found by kdelibs/cmake/modules/FindKDE4Workspace.cmake. Alex

# now create the KDE4WorkspaceConfig.cmake file, which will be loaded by 
# kdelibs/cmake/modules/FindKDE4Workspace.cmake and which has to contain all information
# about the libraries installed from kdebase/workspace/libs/ anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else (IS_ABSOLUTE "${in}")
      set(${out} "\${KDE4WORKSPACE_INSTALL_DIR}/${in}")
   endif (IS_ABSOLUTE "${in}")
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

make_install_path_absolute(KDE4WORKSPACE_LIB_DIR     ${LIB_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LIBEXEC_DIR ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_BIN_DIR     ${BIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SBIN_DIR    ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DATA_DIR    ${DATA_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_HTML_DIR    ${HTML_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_CONFIG_DIR  ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_ICON_DIR    ${ICON_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCFG_DIR    ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LOCALE_DIR  ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MIME_DIR    ${MIME_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SOUND_DIR   ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_TEMPLATES_DIR    ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_WALLPAPER_DIR    ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_AUTOSTART_DIR    ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SYSCONF_DIR ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MAN_DIR     ${MAN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INFO_DIR    ${INFO_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})

=== kwin/clients/aurorae/src/CMakeLists.txt ===
########### decoration ###############
include_directories( ./lib )

set(kwin3_aurorae_PART_SRCS
    aurorae.cpp
    lib/auroraetheme.cpp
    lib/themeconfig.cpp
)

kde4_add_plugin(kwin3_aurorae ${kwin3_aurorae_PART_SRCS})

target_link_libraries(kwin3_aurorae ${KDE4_KDEUI_LIBS} ${QT_QTDECLARATIVE_LIBRARY} kdecorations)

install(TARGETS kwin3_aurorae  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES aurorae.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin )
install( FILES aurorae.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES
    qml/aurorae.qml
    qml/AuroraeButton.qml
    qml/AuroraeButtonGroup.qml
    qml/AuroraeMaximizeButton.qml
    qml/Decoration.qml
    qml/DecorationButton.qml
    qml/MenuButton.qml
    DESTINATION ${DATA_INSTALL_DIR}/kwin/aurorae )

=== debian/changelog ===
kde-workspace (4:4.9.4-0ubuntu0.2) quantal; urgency=low

  * Add kubuntu_revert_285553e.diff to revert upstream commit 
    285553edce61f65a88d9067136bf138e44efb149 as it causes brightness
    flickering on some systems (LP: #1088150)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 05 Jan 2013 17:36:32 +0100

kde-workspace (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)
    - drop 0001-Revert-dont-accidentally-trigger-the-last-match.patch,
      applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:49:06 +0100

kde-workspace (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)
    - refresh kubuntu_always_show_kickoff_subtext.diff
    - drop fix-powerdevil-profile-generation.patch, applied upstream
    - add 0001-Revert-dont-accidentally-trigger-the-last-match.patch from
      upstream (kde bug 309787)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:33:24 +0100

kde-workspace (4:4.9.2-0ubuntu2.1) quantal-proposed; urgency=low

  * Add fix-powerdevil-profile-generation.patch to ensure powerdevil
    profiles are created using appropriate information on support of suspend
    and hibernate (LP: #1066892) 

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 15 Oct 2012 15:49:07 +0200

=== debian/control ===
Source: kde-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, 
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4),
 libkactivities-dev (>= 4:4.9.4), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
 libqimageblitz-dev (>= 1:0.0.4-2),
 zlib1g-dev,
 libdbusmenu-qt-dev (>= 0.6.0),
 libfontconfig-dev,
 libglu1-mesa-dev, libqt4-opengl-dev, libgles2-mesa-dev [linux-any kfreebsd-any],
 python-dev (>= 2.6.6-3~),
 shared-desktop-ontologies (>= 0.8),
 libpam0g-dev,
 libnm-util-dev (>= 0.9) [linux-any],
 network-manager-dev (>= 0.9) [linux-any],
 libraw1394-dev [linux-any],
 libusb-dev, libpci-dev,
 libakonadi-dev (>= 1.1.95), libboost1.49-dev,
 libgps-dev (>= 2.90),
 libck-connector-dev, libdbus-1-dev,
 libsensors4-dev [linux-any],
 libdevstat-dev [kfreebsd-any],
 libxkbfile-dev, libxrandr-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
 libxfixes-dev, libxft-dev, libxtst-dev, libxss-dev, libsm-dev, libxinerama-dev, libxi-dev,
 libpng12-dev, libjpeg-dev, libxcursor-dev,
 libqalculate-dev, libglib2.0-dev,
 libqtwebkit-dev,
 libprison-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-workspace.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-workspace.git

Package: kde-workspace
Architecture: all
Depends:  kde-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}) | kde-window-manager-gles (>= ${source:Version}), 
 systemsettings (>= ${source:Version}), freespacenotifier (>= ${source:Version})
Recommends: lightdm-kde-greeter | kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
 kmenuedit (>= ${source:Version})
Breaks: kdebase-workspace (<< 4:4.7.2) 
Replaces: kdebase-workspace (<< 4:4.7.2) 
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: kdebase-workspace
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace
Description: transitional package for kde-workspace
 This is a dummy transitional package for kde-workspace and can be safely
 removed after the installation is complete.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
 libkactivities-bin
Recommends: kde-workspace
Replaces: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5)
Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
 libkactivities-bin
Recommends: kde-workspace
Description: KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
 kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus, kde-base-artwork
Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
 upower [linux-any]
Suggests: x11-xkb-utils, plasma-scriptengines
Replaces: kcontrol, ktip, libkfontinst4, ksplash, kdesktop,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2) 
Breaks: kcontrol, ktip, libkfontinst4, kdesktop, ksplash,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2),
 polkit-kde-1 (<< 0.99)
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace-bin
Description: transitional package for kde-workspace-bin
 This is a dummy transitional package for kde-workspace-bin and can be safely
 removed after the installation is complete.

Package: kde-workspace-data
Architecture: all
Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
 kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80)
Breaks: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
 kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80)
Suggests: kde-wallpapers
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-data-extras
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-wallpapers, kde-workspace-data (>= ${source:Version}),
 ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1
Breaks: ksmserver, ktip, ksplash, libplasma1
Description: transitional package for kde-workspace-data
 This package is save to remove

Package: kde-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}
Breaks: kdebase-workspace-dev (<< 4:4.7.2) 
Replaces: kdebase-workspace-dev (<< 4:4.7.2) 
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace-dev
Description: transitional package for kde-workspace-dev
 This is a dummy transitional package for kde-workspace-dev and can be safely
 removed after the installation is complete.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Replaces: kde-workspace-data (<< 4:4.8.80)
Breaks: kde-workspace-data (<< 4:4.8.80)
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends},
 akonadi-server, kdepim-runtime
Provides: notification-daemon, indicator-renderer
Replaces: kde-workspace-data (<< 4:4.8.80)
Breaks: kde-workspace-data (<< 4:4.8.80)
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
# plasma-scriptengine-qedje (>= ${source:Version}),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kde-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE base workspace module.

#Package: plasma-scriptengine-qedje
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: QEdje script engine for Plasma
# This package provides the Edje script engine for Plasma. You have to install it
# if you want to use Plasma widgets and data engines written in Edje.
# .
# This package is part of the KDE base workspace module.

Package: plasma-scriptengine-ruby
Architecture: all
Depends: ruby-plasma, ${misc:Depends}
Description: Ruby script engine for Plasma
 This package provides the Ruby script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Ruby.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= 4:4.6.80), ${misc:Depends},
 python-qt4-dbus
Description: Python script engine for Plasma
 This package provides the Python script engine for Plasma. You have to install
 it if you want to use Plasma widgets and data engines written in Python.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Web and Mac OS X dashboard widget support for Plasma
 This package provides the WebKit script engine for Plasma which adds support
 for the webpage widgets written in HTML and JavaScript and for the Apple
 Mac OS X dashboard widgets. You have to install this package if you want to be

## kde-workspace 4.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Used e.g. in KDE4WorkspaceConfig.cmake, Alex
 set(KDE4WORKSPACE_VERSION_MAJOR 4)
 set(KDE4WORKSPACE_VERSION_MINOR 9)
-set(KDE4WORKSPACE_VERSION_PATCH 4)
+set(KDE4WORKSPACE_VERSION_PATCH 5)
 set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )

=== kwin/effects/CMakeLists.txt ===
# the factory macros cause errors
kde4_no_enable_final(kwineffects)

macro( KWIN4_ADD_EFFECT_BACKEND name )
    kde4_add_plugin( ${name} ${ARGN} )
    target_link_libraries( ${name} kwineffects ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${X11_Xfixes_LIB} ${X11_Xcursor_LIB} ${X11_LIBRARIES})
endmacro( KWIN4_ADD_EFFECT_BACKEND )

# Adds effect plugin with given name. Sources are given after the name
macro( KWIN4_ADD_EFFECT name )
    if(OPENGL_FOUND OR NOT(OPENGL_FOUND AND OPENGLES_FOUND))
        # OpenGL or neither OpenGL nor OpenGL ES - default set
        KWIN4_ADD_EFFECT_BACKEND(kwin4_effect_${name} ${ARGN})
        if(OPENGL_FOUND)
            target_link_libraries(kwin4_effect_${name} kwinglutils)
            set_target_properties(kwin4_effect_${name} PROPERTIES COMPILE_FLAGS -DKWIN_HAVE_OPENGL)
        elseif(OPENGLES_FOUND)
            target_link_libraries(kwin4_effect_${name} kwinglesutils)
            set_target_properties(kwin4_effect_${name} PROPERTIES COMPILE_FLAGS "-DKWIN_HAVE_OPENGL -DKWIN_HAVE_OPENGLES")
        endif(OPENGL_FOUND)
        set_target_properties(kwin4_effect_${name} PROPERTIES OUTPUT_NAME ${KWIN_NAME}4_effect_${name})
        install( TARGETS kwin4_effect_${name} DESTINATION ${PLUGIN_INSTALL_DIR} )
    endif(OPENGL_FOUND OR NOT(OPENGL_FOUND AND OPENGLES_FOUND))


    if(OPENGLES_FOUND)
        KWIN4_ADD_EFFECT_BACKEND(kwin4_effect_gles_${name} ${ARGN})
        # OpenGL ES gets into a different library
        target_link_libraries(kwin4_effect_gles_${name} kwinglesutils)
        set_target_properties(kwin4_effect_gles_${name} PROPERTIES COMPILE_FLAGS "-DKWIN_HAVE_OPENGL -DKWIN_HAVE_OPENGLES")
        set_target_properties(kwin4_effect_gles_${name} PROPERTIES OUTPUT_NAME ${KWIN_NAME}4_effect_gles_${name})
        install( TARGETS kwin4_effect_gles_${name} DESTINATION ${PLUGIN_INSTALL_DIR} )
    endif(OPENGLES_FOUND)
endmacro( KWIN4_ADD_EFFECT )

macro( KWIN4_ADD_EFFECT_CONFIG name )
    set( kwin4_effect_ui ) # Initially empty
    set( kwin4_effect_src ) # Initially empty

    foreach( file ${ARGN} )
        if( file MATCHES \\.ui )
            set( kwin4_effect_ui ${kwin4_effect_ui} ${file} )
        else( file MATCHES \\.ui )
            set( kwin4_effect_src ${kwin4_effect_src} ${file} )
        endif( file MATCHES \\.ui )
    endforeach( file )

    kde4_add_ui_files( kwin4_effect_src ${kwin4_effect_ui} )
    kde4_add_plugin( kcm_kwin4_effect_${name} ${kwin4_effect_src} )
    if(OPENGLES_FOUND)
        set_target_properties(kcm_kwin4_effect_${name} PROPERTIES COMPILE_FLAGS "-DKWIN_HAVE_OPENGL -DKWIN_HAVE_OPENGLES")
    elseif(OPENGL_FOUND)
        set_target_properties(kcm_kwin4_effect_${name} PROPERTIES COMPILE_FLAGS -DKWIN_HAVE_OPENGL)
    endif(OPENGLES_FOUND)
    target_link_libraries( kcm_kwin4_effect_${name} kwineffects ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} )
    install( TARGETS kcm_kwin4_effect_${name} DESTINATION ${PLUGIN_INSTALL_DIR} )
endmacro( KWIN4_ADD_EFFECT_CONFIG )

macro( KWIN4_EFFECT_LINK_XRENDER name )
    if( KWIN_HAVE_XRENDER_COMPOSITING )
        target_link_libraries( kwin4_effect_${name} ${X11_Xrender_LIB} )

        # if building for OpenGL and OpenGL ES we have two targets
        # TODO: if building for OpenGL ES we should not build XRender support
        if(OPENGLES_FOUND)
            target_link_libraries( kwin4_effect_gles_${name} ${X11_Xrender_LIB} )
        endif(OPENGLES_FOUND)
    endif( KWIN_HAVE_XRENDER_COMPOSITING )
endmacro( KWIN4_EFFECT_LINK_XRENDER )

# Install the KWin/Effect service type
install( FILES kwineffect.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )

# Create initial variables
set( kwin4_effect_builtins_sources )
if( NOT KWIN_MOBILE_EFFECTS )
    set( kwin4_effect_builtins_config_sources configs_builtins.cpp )
endif( NOT KWIN_MOBILE_EFFECTS )
set( kwin4_effect_include_directories )

# scripted effects
add_subdirectory( fade )

# scripted effects only relevant to desktop
if( NOT KWIN_MOBILE_EFFECTS )
    add_subdirectory( fadedesktop )
endif( NOT KWIN_MOBILE_EFFECTS )

###############################################################################
# Built-in effects go here

# Common effects
include( dialogparent/CMakeLists.txt )
include( login/CMakeLists.txt )
include( outline/CMakeLists.txt )
include( presentwindows/CMakeLists.txt )
include( slidingpopups/CMakeLists.txt )
include( taskbarthumbnail/CMakeLists.txt )

# Common effects only relevant to desktop
if( NOT KWIN_MOBILE_EFFECTS )
    include( boxswitch/CMakeLists.txt )
    include( dashboard/CMakeLists.txt )
    include( desktopgrid/CMakeLists.txt )
    include( diminactive/CMakeLists.txt )
    include( dimscreen/CMakeLists.txt )
    include( fallapart/CMakeLists.txt )
    include( highlightwindow/CMakeLists.txt )
    include( magiclamp/CMakeLists.txt )
    include( translucency/CMakeLists.txt )
    include( minimizeanimation/CMakeLists.txt )
    include( resize/CMakeLists.txt )
    include( scalein/CMakeLists.txt )
    include( showfps/CMakeLists.txt )
    include( showpaint/CMakeLists.txt )
    include( slide/CMakeLists.txt )
    include( slideback/CMakeLists.txt )
    include( thumbnailaside/CMakeLists.txt )
    include( windowgeometry/CMakeLists.txt )
    include( zoom/CMakeLists.txt )
    include( logout/CMakeLists.txt )
endif( NOT KWIN_MOBILE_EFFECTS )

# OpenGL-specific effects
include( blur/CMakeLists.txt )
include( screenshot/CMakeLists.txt )
# OpenGL-specific effects for desktop
if( NOT KWIN_MOBILE_EFFECTS )
    include( coverswitch/CMakeLists.txt )
    include( cube/CMakeLists.txt )
    include( explosion/CMakeLists.txt )
    include( flipswitch/CMakeLists.txt )
    include( glide/CMakeLists.txt )
    include( invert/CMakeLists.txt )
    include( lookingglass/CMakeLists.txt )
    include( magnifier/CMakeLists.txt )
    include( mousemark/CMakeLists.txt )
    include( sheet/CMakeLists.txt )
    include( snaphelper/CMakeLists.txt )
    include( startupfeedback/CMakeLists.txt )
    include( trackmouse/CMakeLists.txt )
    include( wobblywindows/CMakeLists.txt )
endif( NOT KWIN_MOBILE_EFFECTS )

###############################################################################

# Add the builtins plugin
KWIN4_ADD_EFFECT( builtins ${kwin4_effect_builtins_sources} )
if( NOT KWIN_MOBILE_EFFECTS )
    KWIN4_ADD_EFFECT_CONFIG( builtins ${kwin4_effect_builtins_config_sources} )
endif( NOT KWIN_MOBILE_EFFECTS )
KWIN4_EFFECT_LINK_XRENDER( builtins )

=== debian/changelog ===
kde-workspace (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:24:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4),
+ libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5),
  libkactivities-dev (>= 4:4.9.4), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
  libqimageblitz-dev (>= 1:0.0.4-2),
  zlib1g-dev,

## kde-workspace 4.10.0

=== debian/changelog ===
kde-workspace (4:4.10.0-0ubuntu3) raring; urgency=low

  * New binary package kde-workspace-randr to separate out randr tools,
    not installed by default as we use kscreen now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Feb 2013 18:50:10 +0000

kde-workspace (4:4.10.0-0ubuntu2) raring; urgency=low

  * Don't apply kubuntu_kde-workspace-kwin-touch-mouseevents-translation.diff
    workaround for libxi clashing with libxfixes (plus kwin author not entirely happy
    with the patch)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Feb 2013 16:49:13 +0000

kde-workspace (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update kde-window-manager-common.install and sort it 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Feb 2013 11:40:40 +0000

kde-workspace (4:4.9.98a-0ubuntu2) raring; urgency=low

  * Add kde-workspace-kwin-touch-mouseevents-translation.diff from upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 24 Jan 2013 21:03:05 +0000

kde-workspace (4:4.9.98a-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
  * Update .install files
  * Remove 0001-Revert-dont-accidentally-trigger-the-last-match.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:12:26 +0000

kde-workspace (4:4.9.97-0ubuntu4) raring; urgency=low

  * Remove ktouchpadenabler files from kde-workspace-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Jan 2013 15:02:08 +0000

kde-workspace (4:4.9.97-0ubuntu3) raring; urgency=low

  * Add missing file ktouchpadenabler.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Jan 2013 15:38:30 +0000

kde-workspace (4:4.9.97-0ubuntu2) raring; urgency=low

  * Add kubuntu_revert_285553e.diff to revert upstream commit
    285553edce61f65a88d9067136bf138e44efb149 as it causes brightness
    flickering on some systems (LP: #1088150)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 06 Jan 2013 01:01:01 +0100

kde-workspace (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:28:39 +0100

kde-workspace (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Harald Sitter ]
  * Drop kubuntu_kdm_plymouth_transition.diff as discussed on the mailing
    list. Since we do not use KDM by default anymore and since the patch
    introduces issues that are not present with a vanilla KDM.
    LP: #886946, #578732, #553567
  * Update kdm.upstart script to quit-wait-sleep on plymouth regardless of
    the runlevel.

  [ Rohan Garg ]
  * Update install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:22:32 +0000

kde-workspace (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove qreal_double_fix.diff now upstream
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:44:52 +0000

kde-workspace (4:4.9.80-0ubuntu7) raring; urgency=low

  * Add missing Breaks/Replaces for ktouchpadenabler on kde-workspace-bin and
    kde-window-manager-common

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 04:07:15 -0500

kde-workspace (4:4.9.80-0ubuntu6) raring; urgency=low

  * Add new binary for ktouchpadenabler, previously provided from a
    separate source (LP: #1083060)
    - Remove ktouchpadenabler files from kde-window-manager-common.install and
      kde-workspace-bin.install
  * Update package descriptions to refer to KDE workspace instead of KDE
    Base Workspace

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 02:01:41 -0500

kde-workspace (4:4.9.80-0ubuntu5) raring; urgency=low

  * Fix install/upgrade failures due to duplicate file installation
    - Remove kcmview1394/oui.db from kde-workspace-data.install and
      kcm_view1394.so from kde-workspace-bin.install to fix file conflicts
    - Add kinfocenter Breaks/Replaces kde-workspace-data <<
      4:4.9.80-0ubuntu5~ and kde-workspace-bin << 4:4.9.80-0ubuntu5~

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Nov 2012 18:18:25 +0100

kde-workspace (4:4.9.80-0ubuntu4) raring; urgency=low

  * Fix install/upgrade failures due to duplicate file installation
    (LP: #1082345)
    - Remove kcmview1394.desktop from kde-window-manager-common.install
    - Add kinfocenter Breaks/Replaces kde-window-manager-common <<
      4:4.9.80-0ubuntu4~

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 19:29:36 -0500

kde-workspace (4:4.9.80-0ubuntu3) raring; urgency=low

  * Add qreal_double_fix.diff to fix FTBFS on armhf
  * Additional symbols file updates

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 01:53:16 -0500

kde-workspace (4:4.9.80-0ubuntu2) raring; urgency=low

  * Update libkwinglutils1abi1.symbols, ABI incompatible but upstream
    has mechanisms to ensure it does not get used if incompatible plugin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Nov 2012 12:27:09 +0000

kde-workspace (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Rohan Garg ]
  * Add build-deps on libxcb*

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove kubuntu_disable_remote_widgets_browser.diff no longer needed
  * Update .install files
  * Add build-depends on nepomuk-core-dev and libqjson-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:50:33 +0000

kde-workspace (4:4.9.3-0ubuntu2) raring; urgency=low

  * add 0001-Revert-dont-accidentally-trigger-the-last-match.patch from
    upstream (kde bug 309787)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 15 Nov 2012 23:46:20 +0100

kde-workspace (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - drop fix-powerdevil-profile-generation.patch, applied upstream
    - refresh kubuntu_always_show_kickoff_subtext.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:28:33 +0100

kde-workspace (4:4.8.3-0r1) raring; urgency=low



=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5),
- libkactivities-dev (>= 4:4.9.4), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
+ libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0),
+ libkactivities-dev (>= 4:4.10.0), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
  libqimageblitz-dev (>= 1:0.0.4-2),
  zlib1g-dev,
  libdbusmenu-qt-dev (>= 0.6.0),
@@ -32,7 +32,19 @@
  libpng12-dev, libjpeg-dev, libxcursor-dev,
  libqalculate-dev, libglib2.0-dev,
  libqtwebkit-dev,
- libprison-dev
+ libprison-dev,
+ libxcb-composite0-dev,
+ libxcb-damage0-dev,
+ libxcb-xfixes0-dev,
+ libxcb-render0-dev,
+ libxcb-randr0-dev,
+ libxcb-shape0-dev,
+ libxcb-shm0-dev,
+ libxcb-sync0-dev,
+ libxcb-image0-dev,
+ libxcb-render-util0-dev,
+ libqjson-dev,
+ nepomuk-core-dev,
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://www.kde.org/
@@ -86,7 +98,7 @@
  It integrates best with applications following the standards used by the KDE
  Platform.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-netbook
 Architecture: any
@@ -101,7 +113,7 @@
  the KDE Platform. It integrates best with applications following the standards
  used by the KDE Platform.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: kde-workspace-bin
 Architecture: any
@@ -124,7 +136,7 @@
  the default KDE screensavers and many KDE configuration modules. This
  package is essential to start and use KDE Plasma Workspace.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: kdebase-workspace-bin
 Section: oldlibs
@@ -134,6 +146,14 @@
 Description: transitional package for kde-workspace-bin
  This is a dummy transitional package for kde-workspace-bin and can be safely
  removed after the installation is complete.
+
+Package: kde-workspace-randr
+Architecture: all
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: kde-workspace (<< 4:4.10.0-0ubuntu3)
+Breaks: kde-workspace (<< 4:4.10.0-0ubuntu3)
+Description: randr tools from kde-workspace
+ Screen resize and rotate tools from KDE Workspace.
 
 Package: kde-workspace-data
 Architecture: all
@@ -149,7 +169,7 @@
  This package contains architecture-independent shared data files needed for a
  basic KDE Workspace installation.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: kde-workspace-data-extras
 Section: oldlibs
@@ -172,7 +192,7 @@
  This package contains development files for building software that uses
  libraries from the KDE Plasma Workspace.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: kdebase-workspace-dev
 Section: oldlibs
@@ -195,7 +215,7 @@
  workspace Plasma widgets, but they may be useful for any other Plasma widget
  too.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-widgets-workspace
 Architecture: any
@@ -213,12 +233,11 @@
  This package also includes the default animator used by the main KDE Plasma
  Desktop shell.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-scriptengines
 Architecture: all
 Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
-# plasma-scriptengine-qedje (>= ${source:Version}),
  plasma-scriptengine-ruby (>= ${source:Version}),
  plasma-scriptengine-python (>= ${source:Version}),
  plasma-scriptengine-webkit (>= ${source:Version}),
@@ -229,16 +248,7 @@
  This metapackage depends on all Plasma script engines which kde-workspace
  module provides and suggests script engines from other official KDE modules.
  .
- This package is part of the KDE base workspace module.
-
-#Package: plasma-scriptengine-qedje
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Description: QEdje script engine for Plasma
-# This package provides the Edje script engine for Plasma. You have to install it
-# if you want to use Plasma widgets and data engines written in Edje.
-# .
-# This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-scriptengine-ruby
 Architecture: all
@@ -247,7 +257,7 @@
  This package provides the Ruby script engine for Plasma. You have to install it
  if you want to use Plasma widgets and data engines written in Ruby.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-scriptengine-python
 Architecture: all
@@ -257,7 +267,7 @@
  This package provides the Python script engine for Plasma. You have to install
  it if you want to use Plasma widgets and data engines written in Python.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-scriptengine-webkit
 Architecture: any
@@ -265,4 +275,3 @@
 Description: Web and Mac OS X dashboard widget support for Plasma
  This package provides the WebKit script engine for Plasma which adds support
  for the webpage widgets written in HTML and JavaScript and for the Apple
- Mac OS X dashboard widgets. You have to install this package if you want to be
